#include "stdafx.h"

void init_game_loop()
{ 
	// Pause game
	
	cTimer::pause();	

	// Create level object
		
	level = new cLevel();

	// Reset used counters

	cBMP::reset();
	
	// Set background back to zero
	
	reset_scrolling();

	// The whole screen needs to be refreshed

	cSurface::all_surfaces_dirty();

	// Nobody finished level yet
	
	first_at_end = 0;	
	
	// Reset score keeping

	cScore::reset();
}

void deinit_game_loop()
{ 
	// Stop music
	
	stop_music();

	// Deallocate level
	
	kill_level();
	
	// Delete level object

	safe_delete(&level);

	// Pause game
	
	cTimer::pause();
}
